package net.northking.cctp.dw.api.service;

import net.northking.cctp.dw.db.entity.CpProjectDetail;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.dto.CpProjectDetailAddDto;
import net.northking.cctp.dw.dto.CpProjectDetailQueryDto;

import java.util.List;

/**
 * @author: puchao.ma
 * @date: 2022/1/4 10:55
 */
public interface CpProjectDetailApiService {

    void add(CpProjectDetailAddDto inputDto);

    List<CpProjectDetail> query(CpProjectDetail cpd);

    List<CpProjectDetailQueryDto> findByProjectId(String projectId);

    List<CpProjectDetail> findByProjectIds(List<MidProjectInfo> dataList);
}
